Computerhilfen.de Logo
Forum
Tipps
News
Frage stellen

Suse: Druckertreiber für Canon pixma ip4850

Hallo,

habe mir einen neuen Drucker (Canon Pixma ip4850) zugelegt.
Mit meinem alten Drucker habe ich den TurboPrint Treiber benutzt.
Ich dacht ich könnte den neuen auch damit nutzen, aber fehlanzeige.
Nur nach teurem update, wozu ich nicht bereit bin, der Treiber würde mich dann rund 48 Euro kosten.
Gibt es nicht eine Alternative, wenigstens mit Grundfunktionen, Schnickschnack brauche ich nicht.
Danke schon mal im Voraus.
Gruß Klaus


Antworten zu Suse: Druckertreiber für Canon pixma ip4850:

hi, versuch mal den link unten, ist für die pixma4800 serie :)

http://support-in.canon-asia.com/contents/IN/EN/0100300602.html

 

Hallo linuxxer,

den hatte ich schon installiert, habe ich bereits durch eigene Suche gefunden.
Aber leider rührt sich der Drucker überhaupt nicht.
Was kann ich tun? Irgend welche Einstellungen falsch?

Poste mal:

cat /var/log/cups/error_log

hier steht aber ne Menge drin.
Kommt wohl von meinen Versuchen das Ding ans laufen zu bringen.

E [29/Mar/2011:14:32:35 +0200] Returning HTTP Forbidden for CUPS-Get-Devices (ipp://localhost/printers/) from localhost
E [29/Mar/2011:14:32:45 +0200] [CGI] Unable to scan "@LOCAL"!
E [29/Mar/2011:14:34:09 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
E [29/Mar/2011:14:34:09 +0200] [cups-driverd] Skipping "/usr/share/ppd": loop detected!
E [29/Mar/2011:14:34:26 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
E [29/Mar/2011:14:34:26 +0200] [cups-driverd] Skipping "/usr/share/ppd": loop detected!
E [29/Mar/2011:14:44:23 +0200] [CGI] Unable to scan "@LOCAL"!
E [29/Mar/2011:14:44:37 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
E [29/Mar/2011:14:44:37 +0200] [cups-driverd] Skipping "/usr/share/ppd": loop detected!
E [29/Mar/2011:14:46:47 +0200] [CGI] Unable to scan "@LOCAL"!
E [29/Mar/2011:14:46:50 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
E [29/Mar/2011:14:46:50 +0200] [cups-driverd] Skipping "/usr/share/ppd": loop detected!
E [29/Mar/2011:15:04:33 +0200] Returning HTTP Forbidden for CUPS-Get-Devices (ipp://localhost/printers/) from localhost
E [29/Mar/2011:15:04:33 +0200] [CGI] Unable to scan "@LOCAL"!
E [29/Mar/2011:15:54:34 +0200] Returning HTTP Forbidden for CUPS-Get-Devices (ipp://localhost/printers/) from localhost
E [29/Mar/2011:15:58:20 +0200] [CGI] Unable to scan "@LOCAL"!
E [29/Mar/2011:15:58:37 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
E [29/Mar/2011:15:58:37 +0200] [cups-driverd] Skipping "/usr/share/ppd": loop detected!
E [29/Mar/2011:16:02:27 +0200] [CGI] Unable to scan "@LOCAL"!
E [29/Mar/2011:16:03:27 +0200] Returning HTTP Forbidden for CUPS-Get-Devices (ipp://localhost/printers/) from localhost
E [29/Mar/2011:16:03:28 +0200] [CGI] Unable to scan "@LOCAL"!
E [29/Mar/2011:17:41:19 +0200] [CGI] Unable to scan "@LOCAL"!
E [29/Mar/2011:17:41:25 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
E [29/Mar/2011:17:41:25 +0200] [cups-driverd] Skipping "/usr/share/ppd": loop detected!
E [29/Mar/2011:16:56:30 +0200] [CGI] Unable to scan "@LOCAL"!
E [29/Mar/2011:16:56:49 +0200] copy_model: empty PPD file!
E [29/Mar/2011:16:56:49 +0200] Returning IPP server-error-internal-error for CUPS-Add-Modify-Printer (ipp://localhost/printers/canonip4800series) from localhost
E [29/Mar/2011:16:56:49 +0200] Returning HTTP Forbidden for CUPS-Add-Modify-Printer (ipp://localhost/printers/canonip4800series) from localhost
E [29/Mar/2011:17:04:53 +0200] [CGI] Unable to scan "@LOCAL"!
E [29/Mar/2011:17:05:14 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
E [29/Mar/2011:17:05:14 +0200] [cups-driverd] Skipping "/usr/share/ppd": loop detected!
E [30/Mar/2011:06:54:50 +0200] [CGI] Unable to scan "@LOCAL"!
E [30/Mar/2011:06:54:55 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
E [30/Mar/2011:06:54:55 +0200] [cups-driverd] Skipping "/usr/share/ppd": loop detected!
E [30/Mar/2011:07:11:15 +0200] [CGI] Unable to scan "@LOCAL"!
E [30/Mar/2011:07:11:18 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
E [30/Mar/2011:07:11:18 +0200] [cups-driverd] Skipping "/usr/share/ppd": loop detected!
E [30/Mar/2011:07:12:28 +0200] [CGI] Unable to scan "@LOCAL"!
E [30/Mar/2011:12:22:39 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
E [30/Mar/2011:12:22:39 +0200] [cups-driverd] Skipping "/usr/share/ppd": loop detected!
E [30/Mar/2011:12:38:15 +0200] [cups-driverd] Skipping "/usr/share/ppd": loop detected!
E [30/Mar/2011:12:58:06 +0200] [CGI] Unable to scan "@LOCAL"!
E [30/Mar/2011:12:58:09 +0200] [cups-driverd] Skipping "/usr/share/ppd": loop detected!

Hast Du mal probiert, den Drucker unter cups zum laufen zu bekommen?
Im Browser folgendes eingeben, falls Passwortabfrage: root
localhost:631 

    Klappt leider nicht.

Fehler: Verbindung fehlgeschlagen

Das steht im Browserfenster.
In anderen Foren steht man soll "cups" deinstallieren und neu installieren, was ist davon zu halten?
Vor allem die ganzen Abhängigkeiten, habe mal nachgesehen, besonders "cubs-libs" da würden dutzende von Paketen gelöscht.
Womöglich zerschieße ich mir das ganze System, macht auch kein Sinn.

Wie hast Du installiert?
In der Konsole oder per Doppelklick?
Gab es dabei irgendwelche Fehlermeldungen?

ich installiere immer mit YAST.
keine Probleme oder Fehlermeldungen.

Ich meinte den Canon-Asia Treiber.
Beide (Hab jetzt nur mal beim IP2700er Treiber nachgeschaut)rpm`s per Yast/zypper/rpm installiert, oder per install.sh

Über welche OpenSuse sprechen wir:

cat /etc/SuSE-*
« Letzte Änderung: 30.03.11, 21:34:39 von Sauerland1 »

bei mir ist die Suse 11.3 installiert.
Installieren wie gesagt mit yast über "Software installieren oder löschen".


Mitlerweile, wahrscheinlich durch das ausprobieren, kommen wenn ich yast starte und auf Drucker gehe folgende Fehlermeldungen!


"Lokal laufender CUPS-Daemon neu starten?
Durch einen Neustart werden alle zur Zeit laufenden Druckaufträge abgebrochen.

Der CUPS-Daemon wurde neu gestartet.
Warten Sie 30 Sekunden, bis er betriebsbereit ist...

FEHLER  Es ist kein lokal laufender CUPS-Daemon erreichbar.

Ein lokal ausgeführter CUPS-Daemon ist erforderlich, der Zugriff darauf scheint aber nicht möglich zu sein.
Prüfen Sie mit 'lpstat -h localhost -r' ob ein lokaler cupsd verfügbar ist.
Wenn kein Zugriff auf einen cupsd möglich ist, führt dies zu einer unendlichen Folge weiterer Fehler.

Ein lokal ausgeführter CUPS-Daemon ist erforderlich, der Zugriff darauf scheint aber nicht möglich zu sein.
Prüfen Sie mit 'lpstat -h localhost -r' ob ein lokaler cupsd verfügbar ist.
Wenn kein Zugriff auf einen cupsd möglich ist, führt dies zu einer unendlichen Folge weiterer Fehler.

FEHLER  Erkennung der Druckwarteschlangen schlug fehl.

FEHLER  Druckwarteschlangen können nicht angezeigt werden (Erkennung der Druckwarteschlangen schlug fehl."

Was kann ich tun?

Als erstes würde ich die beiden Treiber deinstallieren, dann in Yast cups suchen, alle installierten Pakete aktualisieren (einzeln anklicken---unten auf Versionen klicken)---rechtsklick-aktualisieren und nachschauem, das die cups Versionen aus dem OSS-repo kommen--ok

Dann mit Dolphin in das von Canon-Asia heruntergeladene Verzeichnis wechseln, in dem die install.sh liegt, einmal irgendwo in das Verzeichnis klicken, in Dolphin---Extra---in Terminal öffnen---in dem jetzt neu geöffneten Terminal

su+Enter---root Passwort blind eingeben+Enter---./install.sh eingeben.

Falls bei der Programminstalltion irgendwelche fehlenden Bibliotheken angemeckert werden, kannst Du das Paket, welches die Bibliothek beinhaltet mit zypper wp Bibliotheksname suchen und als root mit zypper in Paketname installieren.

Beispiel:
error: Failed dependencies:
libpng12.so.0 is needed by cnijfilter-ip2700series-3.30-1.i386

zypper wp libpng12.so.0
Daten des Repositorys laden ...
Installierte Pakete lesen ...
S | Name       | Typ   | Version      | Arch | Repository                     
--+------------+-------+--------------+------+--------------------------------
i | libpng12-0 | Paket | 1.2.39-2.4.1 | i586 | Hauptaktualisierungs-Repository
v | libpng12-0 | Paket | 1.2.39-2.3.1 | i586 | Hauptaktualisierungs-Repository
v | libpng12-0 | Paket | 1.2.39-2.2   | i586 | openSUSE-11.2-Oss             

linux64:/home/stephan # zypper in libpng12-0
Daten des Repositorys laden ...
Installierte Pakete lesen ...
'libpng12-0' ist bereits installiert.
Kein Aktualisierungskandidat für 'libpng12-0'.
Paketabhängigkeiten auflösen ...

Keine auszuführenden Aktionen.
linux64:/home/stephan #

« Compaq Presario CQ56 103EG Suse installierenProblem mit Knoppix »
 

Schnelle Hilfe: Hier nach ähnlichen Fragen und passenden Tipps suchen!

Fremdwörter? Erklärungen im Lexikon!
Laserdrucker
Anders als Tintenstrahldrucker arbeiten Laserdrucker nicht mit Tinte sondern mir einem sehr feinem Pulver (Toner). Dieses wird bei hoher Temperatur mit einem Laser auf da...

Nadeldrucker
Ein Nadeldrucker ist ein Computerdrucker, der beim Druckvorgang eine Reihe einzeln angesteuerter Nadeln auf ein Farbband schlägt. Ein gedrucktes Zeichen besteht jewe...

Thermosublimationsdrucker
Farbdrucker, der die Farben der Trägerfolien in einen gasförmigen Zustand verwandelt, bevor sie in ein Spezialpapier eindringen. Siehe auch Thermotransferdruck...